Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Cuireadh an snáithe seo sa chartlann. Cuir ceist nua má tá cabhair uait.

I have downloaded the new vesion of firefox twice yet still keep getting the message that my version is out of date and unprotected

  • 3 fhreagra
  • 41 leis an bhfadhb seo
  • 17 views
  • Freagra is déanaí ó the-edmeister

more options

I have followed the download instructions twice, told my download was complete, yet still seem to get the old version with the message to download the new version so I'm going around in circles

Réiteach roghnaithe

Your user agent string (identifies the browser version) is reporting that you have Firefox 3.5.19 and not 4.0.1

A quick check to confirm what version you have, if the bookmarks menu has an item called "Organize bookmarks" you will be using Firefox 3.5.19, if it has an item called "Show All Bookmarks" you will have Firefox 4

If you have Firefox 4, you need to reset your user agent string so that it correctly identifies the version of Firefox.

  1. Type about:config into the location bar and press enter
  2. Accept the warning message that appears, you will be taken to a list of preferences
  3. Locate the preference general.useragent.override, right-click on it and select Reset, this will set the user agent string back to the default in Firefox 4

There are other user agent string settings that may have been modified, but these are no longer used in Firefox 4. You can reset them if you want, for details see https://support.mozilla.com/kb/Websites+or+add-ons+incorrectly+report+incompatible+browser


If you have Firefox 3.5.19, you can use the built-in update system. In the Help menu select "Check for Updates" and it should offer to install Firefox 4.0.1

Read this answer in context 👍 6

All Replies (3)

more options

Réiteach Roghnaithe

Your user agent string (identifies the browser version) is reporting that you have Firefox 3.5.19 and not 4.0.1

A quick check to confirm what version you have, if the bookmarks menu has an item called "Organize bookmarks" you will be using Firefox 3.5.19, if it has an item called "Show All Bookmarks" you will have Firefox 4

If you have Firefox 4, you need to reset your user agent string so that it correctly identifies the version of Firefox.

  1. Type about:config into the location bar and press enter
  2. Accept the warning message that appears, you will be taken to a list of preferences
  3. Locate the preference general.useragent.override, right-click on it and select Reset, this will set the user agent string back to the default in Firefox 4

There are other user agent string settings that may have been modified, but these are no longer used in Firefox 4. You can reset them if you want, for details see https://support.mozilla.com/kb/Websites+or+add-ons+incorrectly+report+incompatible+browser


If you have Firefox 3.5.19, you can use the built-in update system. In the Help menu select "Check for Updates" and it should offer to install Firefox 4.0.1

Athraithe ag TonyE ar

more options

Thank you TonyE - I really appreciate your help. The solution for me was to go to the Help menu and select "check for updates" - this worked with no problems. What doesn't work, however, is to click on "update now" on the older version - when I did this I kept going round in circles getting nowhere!

So thanks again and best wishes to you

more options

Please click the Solved It button next to the answer that solved your Firefox support issue, it appears when you are logged in, so this thread gets marked as Solved to help other users who may have this same problem.